Show / Hide Table of Contents

# YieldAwaitable Struct

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public struct YieldAwaitable

### Members

#### Constructors

Name | Description
--- | ---
YieldAwaitable(PlayerLoopTiming) |

#### Methods

Name | Description
--- | ---
GetAwaiter() |
ToUniTask() |

### Constructors

#### YieldAwaitable(PlayerLoopTiming)

    public YieldAwaitable(PlayerLoopTiming timing)

##### Parameters

`timing` PlayerLoopTiming

### Methods

#### GetAwaiter()

    public YieldAwaitable.Awaiter GetAwaiter()

##### Returns

YieldAwaitable.Awaiter

#### ToUniTask()

    public UniTask ToUniTask()

##### Returns

UniTask